package ibase.dashboard.mfg.ejb;
import ibase.webitm.ejb.ValidatorLocal;
import ibase.webitm.utility.ITMException;

import java.rmi.RemoteException;
import java.util.HashMap;
import java.util.List;

import javax.ejb.Local;

@Local
public interface BSRTransferReportLocal  extends ValidatorLocal{
	
	 public String  getBSRTransfer(String frmDate,String toDate,String geoLoc,String unitForm) throws RemoteException, ITMException;
	 public String  getGeoLoCodeXmlData() throws RemoteException, ITMException;
	 public String  getUnitFormXmlData() throws RemoteException, ITMException;
	 public String    generatePDF(HashMap<String, List<String>> hashMap ,String exportPDFPath,String exportImagePath,String preyearMonth,String rptTitle,String userID) throws RemoteException, ITMException;
	 
}
